Connect WhatsApp via System User credentials
Authorization
Bearer API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/connect/whatsapp/credentials" \ -H "Content-Type: application/json" \ -d '{ "access_token": "string", "phone_number_id": "string", "waba_id": "string" }'{ "account": { "avatar_url": "string", "connected_at": "2019-08-24T14:15:22Z", "display_name": "string", "id": "string", "metadata": { "property1": null, "property2": null }, "platform": "twitter", "platform_account_id": "string", "updated_at": "2019-08-24T14:15:22Z", "username": "string", "workspace": { "id": "string", "name": "string" } }}Found something wrong? Help us improve this page.
Connect a Twilio SMS account POST
Validates Twilio Account SID/Auth Token credentials and verifies that the selected default sender belongs to the account and is SMS-capable.
Fetch pending OAuth data GET
One-time use, expires after 10 minutes, and may only be polled by the API key and exact dashboard session (when applicable) that initiated the headless OAuth flow.